
/* Copyright (C) 2002-2006 MySQL AB

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

#ifdef USE_PRAGMA_INTERFACE
#pragma interface			/* gcc class implementation */
#endif

struct patch {
	const char *file;
	const char *name;
	const char *version;
	const char *author;
	const char *license;
	const char *comment;
}patches[] = {
{"show_patches.patch", "SHOW PATCHES", "1.0", "Jeremy Cole", "N/A",""},
{"microslow_innodb.patch", "Extended statistics in slow.log", "1.2", "Percona <info@percona.com>", "GPL",""},
{"profiling_slow.info", "profiling from SHOW PROFILE to slow.log", "1.0", "Percona <info@percona.com>", "GPL",""},
{"userstatsv2.patch", "SHOW USER/TABLE/INDEX statistics", "V2", "Google", "GPL","Added INFORMATION_SCHEMA.*_STATISTICS"},
{"microsec_process.patch", "Adds INFOMATION_SCHEMA.PROCESSLIST with TIME_MS column", "1.0", "Percona <info@percona.com>", "GPL",""},
{"innodb_io_patches.patch", "Cluster of past InnoDB IO patches", "1.1", "Percona", "GPL","This patch contains fixed (control_flush_and_merge_and_read, control_io-threads, adaptive_flush)"},
{"innodb_locks_held.patch", "Add locks held, remove locked records in SHOW INNODB STATUS", "1.0", "Baron Schwartz <baron@xaprb.com>", "GPL","Bug #29126 fix"},
{"innodb_show_bp.patch", "show innodb buffer pool content", "1.0", "Percona <info@percona.com>", "GPL",""},
{"innodb_check_fragmentation.patch", "Session status to check fragmentation of the last InnoDB scan", "1.0", "Percona <info@percona.com>", "GPL","The names are Innodb_scan_*"},
{"innodb_io_pattern.patch", "Information schema table of InnoDB IO counts for each datafile pages", "1.0", "Percona <info@percona.com>", "GPL","INFORMATION_SCHEMA.INNODB_IO_PATTERN"},
{"innodb_fsync_source.patch", "Information of fsync callers in InnoDB", "1.0", "Google", "GPL",""},
{"innodb_show_hashed_memory.patch", "Adds additional information of InnoDB internal hash table memories in SHOW INNODB STATUS", "1.0", "Percona <info@percona.com>", "GPL",""},
{"innodb_dict_size_limit.patch", "Limit dictionary cache size", "1.0", "Percona", "GPL","Variable innodb_dict_size_limit in bytes"},
{"innodb_extra_rseg.patch", "allow to create extra rollback segments", "1.0", "Percona <info@percona.com>", "GPL",""},
{"thread_concurrency_timer_based.patch", "Use InnoDB timer based concurrency throttling (backport from MySQL 5.4.0)", "1.0", "Percona <info@percona.com>", "GPL",""},
{"innodb_use_sys_malloc.patch", "InnoDB uses malloc directly (backport from InnoDB-Plugin)", "1.0", "Percona <info@percona.com>", "GPL",""},
{"innodb_recovery_patches.patch", "Bugfixes and adjustments about recovery process", "1.0", "Percona <info@percona.com>", "GPL",""},
{"innodb_split_buf_pool_mutex.patch", "InnoDB patch to fix buffer pool scalability", "1.0", "Yasufumi Kinoshita", "BSD","Backport from XtraDB"},
{"innodb_rw_lock.patch", "Fix of InnoDB rw_locks ported from InnoDB Plugin", "1.0", "InnoBase Oy.", "GPL",""},
{"big_tables_fixlp284123_fixmysql35346.patch", "Fix for http://bugs.mysql.com/35346 (BIG_TABLES define)", "1.0", "Antony Curtis <atcurtis@mac.com>", "N/A","Patch created by Arjen Lentz <arjen@openquery.com>"},

{NULL, NULL, NULL, NULL}
};	

